# mongoc_find_and_modify_opts_get_fields()

## Synopsis

    void
    mongoc_find_and_modify_opts_get_fields (
       const mongoc_find_and_modify_opts_t *opts, bson_t *fields);

## Parameters

- `opts`: A mongoc_find_and_modify_opts_t.

- `fields`: An uninitialized `bson_t`.

## Description

Copy to `fields` the BSON document that was set with mongoc_find_and_modify_opts_set_fields(), or initializes `fields` with an empty BSON document.